Subject: Re: [TLS] Query regarding generating client_write_key.

From: nilesh <[email-masked]>
Date: Mon, 03 Oct 2011 11:07:25 +0530

On Friday 30 September 2011 07:52 PM, Joshua Davies wrote:
> On the contrary - the entire SSL handshake is sent in the clear - this is
> why its important that both sides keep a running digest of the entire
> handshake sequence and compare notes at the end, after encryption keys have
> been exchanged (see RFC 2246, 7.4.9).  The first encrypted message in the
> handshake is the "finished" message.  If you're using Wireshark/Ethereal to
> sniff packets, it will decode the protocol details for you - if you're using
> a non-standard port (say, testing on 8443), you'll need to select
> analyze->decode as->SSL.

Thanks. Yes, the Wireshark decoded it after the traces were saved.

-- 
Thanks,
Nilesh